Virtual try-on
Endpoint: POST https://4zapi.com/kling/v1/images/kolors-virtual-try-on
Parameters
Content-Type(header, string): Request body Content-Type, usually application/jsonAuthorization(header, string): Bearer API Key
Request body (application/json)
cloth_image(string, required): garment image for virtual try-onhuman_image(string, required): uploaded person image;accepts image Base64 or a reachable image URL;supported image formats.jpg / .jpeg / .png;image file size must not exceed10MB, image width/height must be at least300pxmodel_name(string, required): Model name enum: kolors-virtual-try-on-v1, kolors-virtual-try-on-v1-5callback_url(string): Callback URL invoked on task completion
Request example
{
"callback_url": "",
"cloth_image": "https://imageproxy.zhongzhuan.chat/api/proxy/image/1db2a32c24087cab3405a00ee4454c94.jpg",
"human_image": "https://h2.inkwai.com/bs2/upload-ylab-stunt/se/ai_portal_queue_mmu_image_upscale_aiweb/3214b798-e1b4-4b00-b7af-72b5b0417420_raw_image_0.jpg",
"model_name": "kolors-virtual-try-on-v1"
}